Bug 610960 - [abrt] crash in gedit-1:2.30.2-1.fc13: __init__.py:148:get_filebrowser_root:AttributeError: 'NoneType' object has no attribute 'get_string'
[abrt] crash in gedit-1:2.30.2-1.fc13: __init__.py:148:get_filebrowser_root:A...
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-07-02 17:18 EDT by Paul Campbell
Modified: 2011-07-05 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 15:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (871 bytes, text/plain)
2010-07-02 17:18 EDT, Paul Campbell
no flags Details

  None (edit)
Description Paul Campbell 2010-07-02 17:18:56 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: gedit
comment: Clicked on todo list
component: gedit
executable: /usr/lib/gedit-2/plugins
package: gedit-1:2.30.2-1.fc13
reason: __init__.py:148:get_filebrowser_root:AttributeError: 'NoneType' object has no attribute 'get_string'
release: Fedora release 13 (Goddard)

__init__.py:148:get_filebrowser_root:AttributeError: 'NoneType' object has no attribute 'get_string'

Traceback (most recent call last):
  File "/home/pwc/.gnome2/gedit/plugins/todo/__init__.py", line 165, in show_todo_marks
    root, title = self.get_root_directory()
  File "/home/pwc/.gnome2/gedit/plugins/todo/__init__.py", line 116, in get_root_directory
    fb_root = self.get_filebrowser_root()
  File "/home/pwc/.gnome2/gedit/plugins/todo/__init__.py", line 148, in get_filebrowser_root
    return val.get_string()
AttributeError: 'NoneType' object has no attribute 'get_string'

Local variables in innermost frame:
path: u'/apps/gedit-2/plugins/filebrowser/on_load/virtual_root'
self: <todo.TodoWindowHelper instance at 0x9cc3c2c>
client: <gconf.Client object at 0x99a261c (GConfClient at 0x9514418)>
base: u'/apps/gedit-2/plugins/filebrowser/on_load'
val: None
Comment 1 Paul Campbell 2010-07-02 17:18:59 EDT
Created attachment 429171 [details]
File: backtrace
Comment 2 Paul Campbell 2010-07-03 02:10:21 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)

Clicked on todo list
Could this be from using a plugin
Comment 3 Bug Zapper 2011-06-01 10:53:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2011-06-27 15:21:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Paul Campbell 2011-07-05 15:07:14 EDT
I reported the bug for Fedora 14. Please reopen

Note You need to log in before you can comment on or make changes to this bug.